Get translation memory
curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/transMemories/{transMemoryUid} \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/transMemories/{transMemoryUid}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/transMemories/{transMemoryUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"businessUnit": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"client": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"role": "SYS_ADMIN",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"domain": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"id": "<string>",
"internalId": 123,
"name": "<string>",
"note": "<string>",
"owner": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"role": "SYS_ADMIN",
"uid": "<string>",
"userName": "<string>"
},
"sourceLang": "<string>",
"subDomain": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"targetLangs": [
"<string>"
],
"uid": "<string>"
}Translation Memory
Get translation memory
GET
/
api2
/
v1
/
transMemories
/
{transMemoryUid}
Get translation memory
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Translation memory UID
Response
OK
Translation memory resource returned by get, create and edit endpoints
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Date the translation memory was created
Show child attributes
Show child attributes
String representation of the internal TM database ID
Internal numeric ID of the translation memory
Display name of the translation memory
Optional note or description for the translation memory
Show child attributes
Show child attributes
Source language locale
Show child attributes
Show child attributes
List of target language locales
Unique identifier (UID) of the translation memory
Was this page helpful?
⌘I